DOM::CSS2TextShadow class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::CSS2TextShadow Class Reference

The `CSS2TextShadow` interface represents a simple value for the text-shadow CSS Level 2 property. More...

`#include <css_extensions.h>`

List of all members.

## Public Member Functions
| CSS2TextShadow (const CSS2TextShadow &other)
| CSS2TextShadow (CSS2TextShadowImpl *impl)
CSS2TextShadow & | operator= (const CSS2TextShadow &other)
CSSValue | color () const
| Specified the color of the text shadow.
CSSValue | horizontal () const
| The horizontal position of the text shadow.
CSSValue | vertical () const
| The vertical position of the text shadow.
CSSValue | blur () const
| The blur radius of the text shadow.

## Detailed Description

The `CSS2TextShadow` interface represents a simple value for the text-shadow CSS Level 2 property.

Definition at line 2662 of file css_extensions.h.

## Member Function Documentation

CSSValue CSS2TextShadow::color | ( |  | ) | const

| Specified the color of the text shadow. The CSS Value can contain an empty string if no color has been specified. Definition at line 2019 of file css_extensions.cpp.

CSSValue CSS2TextShadow::horizontal | ( |  | ) | const

| The horizontal position of the text shadow. `0` if no length has been specified. Definition at line 2025 of file css_extensions.cpp.

CSSValue CSS2TextShadow::vertical | ( |  | ) | const

| The vertical position of the text shadow. `0` if no length has been specified. Definition at line 2031 of file css_extensions.cpp.

CSSValue CSS2TextShadow::blur | ( |  | ) | const

| The blur radius of the text shadow. `0` if no length has been specified. Definition at line 2037 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:32 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001